Bug 4432 - open-file dialog doesn't display russian characters
: open-file dialog doesn't display russian characters
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xpdf)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-18 21:20 by
Modified: 2007-04-13 18:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-18 21:20:14
Не отображаются русские названия файлов и каталогов в окне открытия файла
Steps to Reproduce:
1. run xpdf 
2. Press "O" key, or mouse right button click->Open
------- Comment #1 From 2004-09-23 17:17:55 -------
В диалоге поиск не вводятся русские буквы, что затрудняет поиск. 
------- Comment #2 From 2005-11-18 10:53:50 -------
не понятно, почему оно до сих пор UNCONFIRMED?
Неужели у всех все работает?
------- Comment #3 From 2006-09-28 01:58:59 -------
Боюсь, проще взять gpdf/kpdf, чем фиксить мотифовый xpdf...
------- Comment #4 From 2006-10-31 18:54:59 -------
Честно говоря, полностью согласен с Мишей. Да, воспроизводится конечно. Но
разбираться в этом мотифовом коде я точно не буду. На просторах сети сторонних
патчей тоже не нашел. Так что закрываю с WONTFIX.
------- Comment #5 From 2006-11-01 08:27:07 -------
в корне не согласен с формулировкой.
мы баги закрываем не "для галочки".
и если есть проблема -- есть открытая запись.
стесняться тут нечего,
поэтому REOPEN!!!!! 
------- Comment #6 From 2006-12-17 18:06:19 -------
(In reply to comment #5)
> в корне не согласен с формулировкой.
> мы баги закрываем не "для галочки".
А вешаем -- от балды?

> и если есть проблема -- есть открытая запись.
> стесняться тут нечего,
> поэтому REOPEN!!!!! 
WONTFIX, и иди попинай motif на досуге.  Хоть код, хоть апстрим.  Если не веришь
людям, которые за последние N лет с lesstif/motif посталкивались...
------- Comment #7 From 2006-12-18 10:10:38 -------
супер!
------- Comment #8 From 2006-12-18 14:44:03 -------
Жень, уж как есть.  Могу вспомнить ещё стопку претендентов на исправления, в
которых я и сам заинтересован -- начиная с grace.

Если тебе хочется правды -- тогда бы уж на openmotif хоть перевесил, а то
REOPEN, REOPEN... (правда, это тоже ничего не изменит, поскольку WONTFIX --
адекватный ответ по проблеме, которую не представляется решить разумными силами
в разумные сроки)

PS: ближайшее, что нагуглилось -- "xpdf-cyrillic-20020116 Xpdf support files
for
Cyrillic", и подозреваю, что это фонты.
------- Comment #9 From 2007-01-11 18:19:46 -------
(In reply to comment #7)
> супер!

Ну как хотите. Можно и "есть проблема - есть открытая запись". Но в данном
случае, это именно та проблема, которая наверняка решена не будет. И не только
мной, но и апстримом. Миша совершенно прав - это не маленькая бага xpdf, это
глубоколежащая проблема Motif toolkit. За многие годы она не решена ни в
lesstif, ни в openmotif.

Можно ставить вопрос о том, чтобы отказаться от xpdf (есть альтернативы - gpdf,
kpdf). Если команда поддержит такое решение - поблагодарим xpdf за верную службу
и отправим в obsolete.
------- Comment #10 From 2007-01-14 00:27:36 -------
> Если команда поддержит такое решение - поблагодарим xpdf за верную службу
> и отправим в obsolete.
Я бы оставил.  Вот с libpoppler непонятно -- оно в итоге используется или нет?
------- Comment #11 From 2007-02-08 17:14:22 -------
А еще evince очень даже ничего. В общем, если кто-то подберет xpdf и найдет
время и силы разбираться с этими багами - с радостью отдам.